wiki:TopDrawer

Which topdrawer version should I use with MadAnalysis?

Topdrawer is a SLAC software of which different versions are in circulation. For the automatic plotting after event generation MadAnalysis needs to be able to cut a topdrawer file in smaller files, convert them to postscript files and rotate the single plots automatically to put them in a web page. As the syntax for conversion and rotating plots is not the same in all version some errors, or even a complete stop of the MadGraph/MadEvent run might be expected if a non-default version of topdrawer is used for the automatic plotting.

We recommend the following pre-compiled versions of topdrawer:

The sources that are available from here are not supported. (But might still be useful if neither of the above pre-compiled versions work or you are not using the automatic plotting, but running MadAnalysis by hand.)

Note: For most of the 64 bit linux version, the 32 bit version is in fact working. (Even if you see a warning message pointing you to this page) Please first try the following: 1) quit mg5 2) relaunch it 3) run the following command generate p p > e+ e- output launch -f Look in the html if you see the plots. If yes then your version of linux supports the 32 bit binary. If you don't have the plot (only a blank page), then you need to install the following libraries: ia32-libs.

One way to install this library is via the following command: sudo -i cd /etc/apt/sources.list.d echo "deb http://old-releases.ubuntu.com/ubuntu/ raring main restricted universe multiverse" >ia32-libs-raring.list apt-get update apt-get install ia32-libs

A complete topdrawer reference manual can be found here.

-- Main.RikkertFrederix - 2010-08-26

Last modified 3 years ago Last modified on Mar 18, 2015 8:15:23 AM

Attachments (4)